# -*- mode: perl; -*-
# $Id: beep.pl 10 2005-11-20 03:49:15Z dmw $

use strict;
use vars qw($VERSION %IRSSI);

use Irssi;

$VERSION = '1.1.$Revision: 10 $';
%IRSSI = (
		  authors	=> "sickd",
		  contact	=> 'dmw@unete.cl',
		  name	=> 'beep',
		  description	=> "sends a beep with message",
		  license	=> "Public Domain",
		  changed	=> '$Date: 2005-11-20 00:49:15 -0300 (dom, 20 nov 2005) $',
		  changes	=> 'see ChangeLog'
		  );

use Irssi::TextUI;

sub cmdBeep {
    my ($data, $server, $witem) = @_;
    my ($msg);
    $msg = "MSG " . $witem->{name} . " \007".$data." (beep!)\007";
    $witem->command($msg);
}

Irssi::command_bind('beep', 'cmdBeep');

# vim: set ft=perl ff=unix ts=4 sw=4 enc=latin1 expandtab:
