# -*- mode: perl; -*-
# $Id: invmsg.pl 10 2005-11-20 03:49:15Z dmw $

use strict;
use vars qw($VERSION %IRSSI);

use Irssi;

$VERSION = '1.1.$Revision: 10 $';
%IRSSI = (
		  authors	=> "sickd",
		  contact	=> 'dmw@unete.cl',
		  name	=> "invmsg",
		  description	=> "Invert Message Script",
		  license	=> "Public Domain",
		  url		=> "http://www.coder.cl",
		  changed	=> '$Date: 2005-11-20 00:49:15 -0300 (dom, 20 nov 2005) $',
		  changes	=> "see ChangeLog"
		  );

use Irssi::TextUI;

sub cmdInvertMsg () {
    my ($message, $server, $witem) = @_;
	my @msgsplit = ();
	my $item;
	my $count;
	my $invmsg;
	my $msg;
	@msgsplit = split('', $message);
	$count = $#msgsplit;
	while ($count >= 0) {
		$invmsg .= $msgsplit[$count];
		$count--;
	}
    $msg = "/msg " . $witem->{name} . " " . $invmsg;
    $witem->command($msg);
}

Irssi::command_bind('invmsg', 'cmdInvertMsg');

# vim: set ft=perl ff=unix ts=4 sw=4 enc=latin1 expandtab:
