# -*- mode: perl; -*-
# $Id: mmsg.pl 10 2005-11-20 03:49:15Z dmw $

use strict;
use vars qw($VERSION %IRSSI);

use Irssi;

$VERSION = '1.1.$Revision: 10 $';
%IRSSI = (
		  authors	=> "sickd",
		  contact	=> 'dmw@unete.cl',
		  name	=> "massmsg",
		  description	=> "Mass Message Sender",
		  license	=> "Public Domain",
		  changed	=> '$Date: 2005-11-20 00:49:15 -0300 (dom, 20 nov 2005) $',
		  changes	=> "see ChangeLog"
		  );

use Irssi::TextUI;

sub cmdMassMsg {
    my ($data, $server, $witem) = @_;
    my ($window, $witemx);
    my ($msg);
    foreach $window (Irssi::windows()) {
        foreach $witemx ($window->items()) {
            if ($witemx && ($witemx->{type} eq "CHANNEL")) {
                $msg = "/msg " . $witemx->{name} . " " . $data;
                $witemx->command($msg);
            }
        }
    }
}

sub cmdSecret {
    my ($data, $server, $witem) = @_;
    my ($window, $witemx);
    my ($msg);
    foreach $window (Irssi::windows()) {
        foreach $witemx ($window->items()) {
            if ($witemx && ($witemx->{type} eq "QUERY")) {
                $msg = "/msg " . $witemx->{name} . " " . $data;
                $witemx->command($msg);
            }
        }
    }
}

Irssi::command_bind('msg_secret', 'cmdSecret');
Irssi::command_bind('msg_mass', 'cmdMassMsg');

# vim: set ft=perl ff=unix ts=4 sw=4 enc=latin1 expandtab:
